Connect database to VPC
curl --request POST \
--url https://api.rafftechnologies.com/api/v1/databases/{database_id}/vpc \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"vpc_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.rafftechnologies.com/api/v1/databases/{database_id}/vpc"
payload = { "vpc_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({vpc_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.rafftechnologies.com/api/v1/databases/{database_id}/vpc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"database": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"database_id": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "orders-db",
"engine": "postgres",
"engine_version": "16",
"status": "pending",
"status_message": "<string>",
"region": "us-east",
"plan_id": 5,
"storage_gb": 25,
"ha_enabled": true,
"replica_count": 0,
"vpc_id": "<string>",
"public_access": true,
"connection_host": "a1b2c3d4.db.raffusercloud.com",
"connection_port": 6432,
"billing_type": "payg",
"subscription_id": "<string>",
"price_per_hour": 0.010945,
"monthly_price": 7.99,
"public_port": 25060,
"public_dns_hostname": "a1b2c3d4.public.db.raffusercloud.com",
"public_allowlist": [
"203.0.113.0/24"
],
"is_free": true,
"suspended_at": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Connect & access
Connect database to VPC
Attach a database created without a VPC to one of your VPCs. The private endpoint {database_id}.db.raffusercloud.com becomes reachable from inside that VPC.
POST
/
api
/
v1
/
databases
/
{database_id}
/
vpc
Connect database to VPC
Authorizations
API key for authentication. Each key is bound to a specific account.
Path Parameters
Database ID (UUID) or short id (the database_id field, e.g. a1b2c3d4)
Body
application/json
VPC to attach the database's private endpoint to
Last modified on October 5, 2026